aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xi3/bin/setbg-cloogle20
1 files changed, 20 insertions, 0 deletions
diff --git a/i3/bin/setbg-cloogle b/i3/bin/setbg-cloogle
new file mode 100755
index 0000000..64c3316
--- /dev/null
+++ b/i3/bin/setbg-cloogle
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+function fail() {
+ if [ -f ~/.bg.png ]; then
+ feh --bg-max -B white ~/.bg.png
+ fi
+ exit -1;
+}
+
+# Test internet
+timeout 4 wget -q --spider http://cloogle.org || fail
+
+stdbuf -i0 -o0 -e0 cloogle_stats.py | while read request
+do
+ if [ "$request" == "Opened connection." ] || [ "$request" == "Lost connection" ]; then
+ continue
+ fi
+ echo "$request" | pygmentize -l clean -O line_numbers=false -o /tmp/bg-cloogle.png
+ feh -B white --bg-center /tmp/bg-cloogle.png
+done &